Subject: bug#77587: Add --dry-run flag to `mumi am' and `mumi send-email'

From: Arun Isaac <[email-masked]>
Date: Sun, 06 Apr 2025 23:05:22 +0100

It's a bit scary to run `mumi am' and `mumi send-email', especially for
newcomers. Add a --dry-run flag to these commands that prints out the
respective `git am' and `git send-email' commands these will execute.
This will reassure users that the mumi CLI is just a wrapper for
familiar git commands.